Name:		gsp-release
Version:	6
Release:	2%{?dist}
Summary:	Yum configuration for Global SP repository
Summary(fr):	Configuration de Yum pour le dépôt de Global SP

Group:		System Environment/Base
License:	GPL
URL:		http://www.globalsp.com
Source0:	RPM-GPG-KEY-TeamLinuxGSP
Source1:	gsp.repo
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch

Requires:	yum
Requires:	redhat-release >= %{rhel}
Requires:	epel-release >= %{rhel}

%description
This package contains yum configuration for the Global SP RPM Repository as
well as the public GPG keys used to sign them.

%description -l fr
Ce paquet contient la configuration de yum pour utilser le dépôt de GSP,
ainsi que la clef GPG utilisé pour signer les RPMS se trouvant dans
le dépôt.


%prep
echo "Nothing to prep"

%build
echo "Nothing to build"

%install
rm -rf %{buildroot}

# PGP
%{__install} -Dp -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-TeamLinuxGSP

# YUM
%{__install} -Dp -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/yum.repos.d/gsp.repo

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-TeamLinuxGSP
%config(noreplace) %{_sysconfdir}/yum.repos.d/gsp.repo

%changelog
* Wed Dec 21 2011 Kevin COUSIN <kcousin@globalsp.com> 6-2.el6.gsp
- Add Global SP Linux Team public key

* Wed Dec 21 2011 Kevin COUSIN <kcousin@globalsp.com> 6-1.el6.gsp
- First Build
